Loading...
Searching...
No Matches
getf2: triangular factor panel, level 2
LAPACK » Linear solve, AX = B » LU: computational routines (factor, cond, etc.)
Collaboration diagram for getf2: triangular factor panel, level 2:

## Functions

subroutine | cgetf2 (m, n, a, lda, ipiv, info)
| CGETF2 computes the LU factorization of a general m-by-n matrix using partial pivoting with row interchanges (unblocked algorithm).
subroutine | dgetf2 (m, n, a, lda, ipiv, info)
| DGETF2 computes the LU factorization of a general m-by-n matrix using partial pivoting with row interchanges (unblocked algorithm).
subroutine | sgetf2 (m, n, a, lda, ipiv, info)
| SGETF2 computes the LU factorization of a general m-by-n matrix using partial pivoting with row interchanges (unblocked algorithm).
subroutine | zgetf2 (m, n, a, lda, ipiv, info)
| ZGETF2 computes the LU factorization of a general m-by-n matrix using partial pivoting with row interchanges (unblocked algorithm).

## Detailed Description